/* GENERA LA MODALE */
function rbShowModal(message) {
    // Crea l'overlay
    const overlay = document.createElement('div');
    overlay.className = 'rb-modal-overlay active';

    // Crea il contenuto del modal
    const modal = document.createElement('div');
    modal.className = 'rb-modal';
    modal.innerHTML = `<label class='rb-modal-body'>${message}</label>`;

    overlay.appendChild(modal);
    document.body.appendChild(overlay);
}


/* GESTIONE DELLE FOTO*/
function clickFoto(input) {
    document.getElementById(input).click();
};

function previewImage(input, preview) {
    var input = document.getElementById(input);
    var foto2 = document.getElementById(preview);
    var svg = foto2.nextElementSibling;

    if (input.files && input.files[0]) {
        // Verifica dimensione file
        if (input.files[0].size > 2 * 1024 * 1024) {
            alert("Il file supera la dimensione massima consentita (2MB).");
            input.value = "";
            return;
        }

        var file = input.files[0];
        var allowedTypes = ['image/jpeg', 'image/jpg', 'image/gif'];
        if (!allowedTypes.includes(file.type)) {
            alert("Formato file non supportato. Carica solo file JPG, JPEG o GIF.");
            input.value = "";
            return;
        }

        var reader = new FileReader();
        reader.onload = function (e) {
            // Crea un div contenitore per l'immagine
            var container = document.createElement("div");
            container.style.width = "135px";
            container.style.height = "150px";
            container.style.display = "flex";
            container.style.justifyContent = "center";
            container.style.alignItems = "center";

            var img = document.createElement("img");
            img.src = e.target.result;
            img.style.maxHeight = "150px";
            img.style.maxWidth = "135px";
            img.style.objectFit = "contain";
            img.style.cursor = "pointer";
            img.style.borderRadius = "10px";
            img.style.border = "1px solid #d8d8d8";

            // Aggiungi l'immagine al contenitore
            container.appendChild(img);

            // Nascondi foto2 e SVG
            foto2.style.display = 'none';
            svg.style.display = 'none';

            // Inserisci il contenitore
            foto2.insertAdjacentElement('afterend', container);
        };

        reader.readAsDataURL(input.files[0]);
    } else {
        // Reset
        foto2.style.display = 'block';
        svg.style.display = 'block';
        const nextElement = foto2.nextElementSibling;
        if (nextElement && nextElement.tagName === 'DIV') {
            nextElement.remove();
        }
        foto2.value = 'Clicca per scegliere';
    }
}

// Aggiungi event listener per gestire l'annullamento della selezione
document.getElementById('foto').addEventListener('change', function () {
    if (!this.files || !this.files[0]) {
        // Se non c'è nessun file selezionato (annullato)
        var foto2 = document.getElementById('foto2');
        var svg = foto2.nextElementSibling;

        // Mostra foto2 e SVG
        foto2.style.display = 'block';
        svg.style.display = 'block';

        // Rimuovi il container dell'immagine se presente
        const nextElement = foto2.nextElementSibling;
        if (nextElement && nextElement.tagName === 'DIV') {
            nextElement.remove();
        }
        foto2.value = 'Clicca per scegliere';
    }
});




